Bug 214187 - devel/libdlna: fails to build with ffmpeg 3.x
Summary: devel/libdlna: fails to build with ffmpeg 3.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch
Depends on:
Blocks: 207547
  Show dependency treegraph
 
Reported: 2016-11-04 04:29 UTC by Jan Beich
Modified: 2016-11-26 09:31 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
Fix build with ffmpeg 3.2 (388 bytes, patch)
2016-11-05 14:58 UTC, Thomas Zander
riggs: maintainer-approval? (malus.x)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-04 04:29:51 UTC
image_jpeg.c:95:31: error: use of undeclared identifier 'CODEC_ID_MJPEG'; did you mean 'AV_CODEC_ID_MJPEG'?
  if (codecs->vc->codec_id != CODEC_ID_MJPEG &&
                              ^~~~~~~~~~~~~~
                              AV_CODEC_ID_MJPEG
/usr/local/include/libavcodec/avcodec.h:202:5: note: 'AV_CODEC_ID_MJPEG' declared here
    AV_CODEC_ID_MJPEG,
    ^
image_jpeg.c:96:31: error: use of undeclared identifier 'CODEC_ID_MJPEGB'; did you mean 'AV_CODEC_ID_MJPEGB'?
      codecs->vc->codec_id != CODEC_ID_MJPEGB &&
                              ^~~~~~~~~~~~~~~
                              AV_CODEC_ID_MJPEGB
/usr/local/include/libavcodec/avcodec.h:203:5: note: 'AV_CODEC_ID_MJPEGB' declared here
    AV_CODEC_ID_MJPEGB,
    ^
image_jpeg.c:97:31: error: use of undeclared identifier 'CODEC_ID_LJPEG'; did you mean 'AV_CODEC_ID_LJPEG'?
      codecs->vc->codec_id != CODEC_ID_LJPEG &&
                              ^~~~~~~~~~~~~~
                              AV_CODEC_ID_LJPEG
/usr/local/include/libavcodec/avcodec.h:204:5: note: 'AV_CODEC_ID_LJPEG' declared here
    AV_CODEC_ID_LJPEG,
    ^
image_jpeg.c:98:31: error: use of undeclared identifier 'CODEC_ID_JPEGLS'; did you mean 'AV_CODEC_ID_JPEGLS'?
      codecs->vc->codec_id != CODEC_ID_JPEGLS)
                              ^~~~~~~~~~~~~~~
                              AV_CODEC_ID_JPEGLS
/usr/local/include/libavcodec/avcodec.h:206:5: note: 'AV_CODEC_ID_JPEGLS' declared here
    AV_CODEC_ID_JPEGLS,
    ^
4 errors generated.

http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/libdlna-0.2.3_6.log
Comment 1 Thomas Zander freebsd_committer 2016-11-05 14:58:43 UTC
Created attachment 176659 [details]
Fix build with ffmpeg 3.2
Comment 2 Thomas Zander freebsd_committer 2016-11-19 16:56:24 UTC
Maintainer timeout (2 weeks)
Comment 3 commit-hook freebsd_committer 2016-11-19 16:57:11 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 19 16:57:03 UTC 2016
New revision: 426388
URL: https://svnweb.freebsd.org/changeset/ports/426388

Log:
  Fix build with ffmpeg 3.x

  PR:		214187
  Submitted by:	riggs
  Reported by:	jbeich
  Approved by:	maintainer timeout

Changes:
  head/devel/libdlna/files/patch-src_image__jpeg.c
Comment 4 Jan Beich freebsd_committer 2016-11-25 08:03:39 UTC
image_png.c:79:31: error: use of undeclared identifier 'CODEC_ID_PNG'; did you mean 'AV_CODEC_ID_PNG'?
  if (codecs->vc->codec_id != CODEC_ID_PNG)
                              ^~~~~~~~~~~~
                              AV_CODEC_ID_PNG
/usr/local/include/libavcodec/avcodec.h:258:5: note: 'AV_CODEC_ID_PNG' declared here
    AV_CODEC_ID_PNG,
    ^

http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-11-25_07h03m58s/logs/errors/libdlna-0.2.3_6.log
Comment 5 commit-hook freebsd_committer 2016-11-26 09:30:16 UTC
A commit references this bug:

Author: riggs
Date: Sat Nov 26 09:29:21 UTC 2016
New revision: 427135
URL: https://svnweb.freebsd.org/changeset/ports/427135

Log:
  Fix build ffmpeg 3.x (previous patch was incomplete)

  PR:		214187
  Submitted by:	jbeich
  Reported by:	riggs
  Approved by:	maintainer timeout

Changes:
  head/devel/libdlna/Makefile
  head/devel/libdlna/files/patch-src_image__jpeg.c